Skip to main content
GET
/
?module=logs&action=getLogs
Get Event Logs by Address and/or Topic(s)
curl --request GET \
  --url 'https://api.fuse.io/api/v0/explorer/?module=logs&action=getLogs'
{
  "message": "<string>",
  "result": [
    {
      "address": "<string>",
      "blockNumber": "<string>",
      "data": "<string>",
      "gasPrice": "<string>",
      "gasUsed": "<string>",
      "logIndex": "<string>",
      "timeStamp": "<string>",
      "topics": [
        "<string>"
      ],
      "transactionHash": "<string>",
      "transactionIndex": "<string>"
    }
  ],
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fuse.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

module
enum<string>
required
Available options:
logs
action
enum<string>
required
Available options:
getLogs
fromBlock
integer
required
toBlock
integer
required
address
string
required
topic0
string
required
topic1
string
topic2
string
topic3
string
topic0_1_opr
enum<string>
Available options:
and,
or
topic0_2_opr
enum<string>
Available options:
and,
or
topic0_3_opr
enum<string>
Available options:
and,
or
topic1_2_opr
enum<string>
Available options:
and,
or
topic1_3_opr
enum<string>
Available options:
and,
or
topic2_3_opr
enum<string>
Available options:
and,
or
apiKey
string
required

Response

200 - application/json

OK

message
string
result
object[]
status
string